package com.yipin.liuwanr;


public class Constants { 
	/**登录角色权限缓存时间  分钟*/
	public static final Long LOGIN_ROLE_CACHE_TIME = Long.valueOf(PropertiesUtils.getContextProperty("login.role.cache.time"));
	/**教学首页最近打开应用缓存时间  分钟*/
	public static final Long TEACHINGLOG_CACHE_TIME = Long.valueOf(PropertiesUtils.getContextProperty("teachinglog.cache.time"));
	/**教学首页最新动态缓存时间  分钟*/
	public static final Long USERDYNAMICVO_CACHE_TIME = Long.valueOf(PropertiesUtils.getContextProperty("userdynamicvo.cache.time"));
	/**教学首页活跃度缓存时间  分钟*/
	public static final Long TEACHINGINTEGRAL_CACHE_TIME = Long.valueOf(PropertiesUtils.getContextProperty("teachingintegral.cache.time"));
	/**获取域名*/
	public static final String SERVICE_DOMAIN = (String)PropertiesUtils.getContextProperty("service.domain");

	/**导入用户条数*/
	public static final Integer IMPORT_NUM = Integer.valueOf(PropertiesUtils.getContextProperty("import.num"));
	
	/**获取该系统所处终端 0：云端  1：学校端*/
	public static final Integer SERVICE_TERMINUS = Integer.valueOf(PropertiesUtils.getContextProperty("service.terminus"));
	
	/**获取后台管理admin地址*/
	public static final String ADMIN_WEB_PATH = (String)PropertiesUtils.getContextProperty("admin.web.path");
	public static final String APP_WEB_PATH = (String)PropertiesUtils.getContextProperty("app.web.path");

	/**消息队列名称*/
	public static final String SERVICE_MQ_P2P = (String)PropertiesUtils.getContextProperty("service.mq.p2p.name");
	public static final String SERVICE_MQ_PS = (String)PropertiesUtils.getContextProperty("service.mq.ps.name");
	
	 /**redis 连接相关配置 start********************************************/
//    public static final String SERVICE_REDIS_ADDR = (String)PropertiesUtils.getContextProperty("redis.master.ip");
//
//    public static final Integer SERVICE_REDIS_PORT = Integer.valueOf(PropertiesUtils.getContextProperty("redis.master.port"));
//
//    public static final String SERVICE_REDIS_AUTO = (String)PropertiesUtils.getContextProperty("redis.master.auto");
//
//    public static final String SERVICE_REDIS_PASSWORD = (String)PropertiesUtils.getContextProperty("redis.master.password");
//
//    public static final Integer SERVICE_REDIS_MAXACTIVE = Integer.valueOf(PropertiesUtils.getContextProperty("redis.pool.maxActive"));
//
//    public static final Integer SERVICE_REDIS_MAXIDEL = Integer.valueOf(PropertiesUtils.getContextProperty("redis.pool.maxIdle"));
//
//    public static final Integer SERVICE_REDIS_MAXWAIT = Integer.valueOf(PropertiesUtils.getContextProperty("redis.pool.maxWait"));
//
//    public static final Integer SERVICE_REDIS_TIMEOUT = Integer.valueOf(PropertiesUtils.getContextProperty("redis.pool.timeout"));
//
//    public static final Boolean SERVICE_REDIS_TESTONBORROW = Boolean.valueOf(PropertiesUtils.getContextProperty("redis.pool.testOnBorrow"));
//
//    public static final Boolean SERVICE_REDIS_CACHE_BUSINESS_USER = Boolean.valueOf(PropertiesUtils.getContextProperty("redis.cache.business.user"));
//
    
    /**redis 连接相关配置 end********************************************/
    
    
    /***************************ftp 连接信息****************************/
//    public static final String SERVICE_SFTP_REQ_HOST = (String)PropertiesUtils.getContextProperty("sftp.req.host");
//    public static final String SERVICE_SFTP_REQ_USERNAME = (String)PropertiesUtils.getContextProperty("sftp.req.username");
//    public static final String SERVICE_SFTP_REQ_PASSWORD = (String)PropertiesUtils.getContextProperty("sftp.req.password");
//    public static final String SERVICE_SFTP_REQ_PORT = (String)PropertiesUtils.getContextProperty("sftp.req.port");
//    public static final String SERVICE_SFTP_UPLOAD_TIME = (String)PropertiesUtils.getContextProperty("sftp.upload.timer");
//    public static final Integer SERVICE_SFTP_TIMEOUT = Integer.valueOf(PropertiesUtils.getContextProperty("sftp.req.timeout"));
    /***************************ftp 连接信息end ****************************/
    
    /***************************office online 连接信息 start****************************/
    /**
     * offic online 服务器地址
     */
    public static final String OFFICE_ONLINE_HOST = (String)PropertiesUtils.getContextProperty("office.online.host");
    /***************************office online 连接信息 end****************************/
    
    /*************************初始化需要队列需要调用服务参数的参数****************/
    /**usesservice*/
//    public static final String CLASS_USERSERVICEI = "userService";
//    public static final String METHOD_USERSERVICE_INSERTBYVO = "userService.insertByVo";
    
    /**shoppingCartService*/
    public static final String CLASS_SHOOPINGCARTSERVICE = "shoppingCartService";
    public static final String METHOD_SHOOPINGCARTSERVICE_INSERTSHOOPINGCART = "shoppingCartService.insertShoppingCart";
    public static final String METHOD_SHOOPINGCARTSERVICE_UPDATE =  "shoppingCartService.updateShoppingCartById";
    /*************************end***************************************/
    
    
    
    /**************************文件上传************************************************/
    //上传用户头像大小
    public static final Integer FILE_UPLOAD_USERHEAD_SIZE = Integer.valueOf(PropertiesUtils.getContextProperty("file.upload.userhead.size"));
    //上传普通文件大小
    public static final Integer FILE_UPLOAD_PLAINFILE_SIZE = Integer.valueOf(PropertiesUtils.getContextProperty("file.upload.plainfile.size"));
    //允许上传的文件类型
    public static final String FILE_UPLOAD_AVAILABLE_TYPES = (String)PropertiesUtils.getContextProperty("file.upload.available.types");
    public static final String FILE_UPLOAD_DEFAULT_DIR = (String)PropertiesUtils.getContextProperty("file.upload.default.dir");
    public static final Integer DEFAULT_FILE_NAME_LENGTH = Integer.valueOf(PropertiesUtils.getContextProperty("default.file.name.length"));
    
    //上传根目录
    public static final String FILE_UPLOAD_ROOT_DIR=(String)PropertiesUtils.getContextProperty("file.upload.root.dir");
    //头像
    public static final String FILE_UPLOAD_USERHEAD_DIR = (String)PropertiesUtils.getContextProperty("file.upload.userhead.dir");

    //头像
    public static final String FILE_UPLOAD_THIRD_DIR = (String)PropertiesUtils.getContextProperty("file.upload.third.dir");
    //资源
    public static final String FILE_UPLOAD_RESOURCE_LIB_DIR=(String)PropertiesUtils.getContextProperty("file.upload.resource.dir");
    public static final String FILE_UPLOAD_RESOURCE_AVAILABLE_TYPES = (String)PropertiesUtils.getContextProperty("file.upload.resource.available.types");
    //banner
    public static final String FILE_UPLOAD_BANNER_LIB_DIR=(String)PropertiesUtils.getContextProperty("file.upload.banner.dir");
    //应用
    public static final String FILE_UPLOAD_COURSE_LIB_DIR=(String)PropertiesUtils.getContextProperty("file.upload.course.dir");
    //聊天
    public static final String FILE_UPLOAD_CHAT_LIB_DIR=(String)PropertiesUtils.getContextProperty("file.upload.chat.dir");
    //公告
    public static final String FILE_UPLOAD_NOTICE_LIB_DIR=(String)PropertiesUtils.getContextProperty("file.upload.notice.dir");
    //bbs讨论交流
    public static final String FILE_UPLOAD_FORUM_LIB_DIR=(String)PropertiesUtils.getContextProperty("file.upload.forum.dir");
    /***********************************end********************************************/
    
    
    /**************************用户状态管理************************************************/
    public static final String CLASS_USERSTATUSSERVICE = "userStatusService";
    public static final String METHOD_USERSTATUSSERVICE_INSERTBYVO = "userStatusService.insertByVo";
    public static final String METHOD_USERSTATUSSERVICE_DELETEBYUSERID = "userStatusService.deletebyuserid";
    
    /**************************用户管理************************************************/
    public static final String CLASS_USERINFOSERVICE = "userInfoService";
    public static final String METHOD_USERINFOSERVICE_UPDATEBYID = "userInfoService.updateById";
    public static final String METHOD_USERINFOSERVICE_DELETEUSERBYID = "userInfoService.deleteUserById";
    public static final String METHOD_USERINFOSERVICE_ADDUSERINFOBATCH = "userInfoService.addUserInfoBatch";
    public static final String METHOD_USERROLEMANAGESERVICE_INSERT = "userRoleManageService.insert";
	public static final String METHOD_USERINFOSERVICE_INSERT = "userInfoService.insert";
	public static final String METHOD_USERINFOSERVICE_DELETEBATCHIDS = "userInfoService.deleteBatchIds";
	
	 public static final String CLASS_USERROLEMANAGESERVICE = "userRoleManageService";
	
	public static final String METHOD_USERROLEMANAGESERVICE_DELETEBATCHIDS = "userRoleManageService.deleteBatchIds";
	public static final String METHOD_USERROLEMANAGESERVICE_UPDATEBYUSERID = "userRoleManageService.updateByuserId";
	
    /**************************机构管理************************************************/
    public static final String CLASS_SCHOOLORGSERVICE = "schoolOrgService";
    public static final String METHOD_SCHOOLORGSERVICE_EXCHANGEORGORDER = "schoolOrgService.exchangeOrgOrder";
    public static final String METHOD_SCHOOLORGSERVICE_UPDATEBYID = "schoolOrgService.updateById";
    public static final String METHOD_SCHOOLORGSERVICE_INSERTORG = "schoolOrgService.insertOrg";
    public static final String METHOD_SCHOOLORGSERVICE_DELETEBYIDANDPID = "schoolOrgService.deleteByIdAndPid";
    public static final String METHOD_SCHOOLORGSERVICE_ADDORGBATCH = "schoolOrgService.addOrgBatch";
    
    /**************************角色管理************************************************/
    public static final String CLASS_ROLEMANAGESERVICE = "roleManageService";
    public static final String METHOD_ROLEMANAGESERVICE_UPDATEBYID = "roleManageService.updateById";
    
    /**************************角色权限关联管理************************************************/
    public static final String CLASS_ROLEPOWERSERVICE = "rolePowerService";
    public static final String METHOD_ROLEPOWERSERVICE_DELETE = "rolePowerService.delete";
    public static final String METHOD_ROLEPOWERSERVICE_INSERT = "rolePowerService.insert";
    
    /**************************banner************************************************/
    public static final String CLASS_BANNERSERVICE = "bannerService";
    public static final String METHOD_BANNERSERVICE_INSERT = "bannerService.insertBanner";
    public static final String METHOD_BANNERSERVICE_UPDATE = "bannerService.updateBanner";
    
  
    
    /***************************微软云服务***********************************/
    public static final String STORAGE_CONNECTION_STRING = (String)PropertiesUtils.getContextProperty("service.microsoft.azure.url");
    public static final String STORAGE_CONTAINER = (String) PropertiesUtils.getContextProperty("service.microsoft.azure.container");
    //用户头像目录
    public static final String STORAGE_USER_HEAD = PropertiesUtils.getContextProperty("service.microsoft.azure.container.user.head");
    //系统 banner存储目录
//    public static final String STORAGE_SYS_BANNER = PropertiesUtils.getContextProperty("service.microsoft.azure.container.sys.banner");
//
//    //课程应用图片img存储目录
//    public static final String STORAGE_COURSE_IMAGES = PropertiesUtils.getContextProperty("service.microsoft.azure.container.course.images");
//    //课程应用project_img存储目录
//    public static final String STORAGE_COURSE_PROJECT = PropertiesUtils.getContextProperty("service.microsoft.azure.container.course.project");
//    //公告图片
//    public static final String STORAGE_NOTICE_IMAGES = PropertiesUtils.getContextProperty("service.microsoft.azure.container.notice.images");

	

    /***************************openfire restapi**********************************/
    //服务地址
    public static final String SERVICE_OPENFIRE_RESTAPI_ADDR = (String) PropertiesUtils.getContextProperty("service.openfire.restapi.addr");
    //端口号
    public static final Integer SERVICE_OPENFIRE_RESTAPI_PORT = Integer.valueOf(PropertiesUtils.getContextProperty("service.openfire.restapi.port"));
    //认证密钥
    public static final String SERVICE_OPENFIRE_RESTAPI_AUTO = (String) PropertiesUtils.getContextProperty("service.openfire.restapi.auto");
    //超时时间
    public static final Integer SERVICE_OPENFIRE_RESTAPI_TIMEOUT = Integer.valueOf(PropertiesUtils.getContextProperty("service.openfire.restapi.timeout"));

    
    /***************************restapi相关配置**********************************/
    //rest链接超时时间（毫秒）
    public static final Integer SERVICE_REST_CONNECTTIMEOUT = Integer.valueOf(PropertiesUtils.getContextProperty("service.rest.connectTimeout"));
    //rest链接响应超时时间（毫秒）
    public static final Integer SERVICE_REST_SOCKETTIMEOUT = Integer.valueOf(PropertiesUtils.getContextProperty("service.rest.socketTimeout"));
    //rest请求秘钥
    public static final String SERVICE_REST_AUTHORIZATIONKEY = (String) PropertiesUtils.getContextProperty("service.rest.authorizationKey");
    
    
    /***************************缓冲时间设置**********************************/
    //聊天
    public static final Integer CACHE_TIME_CHAT = Integer.valueOf(PropertiesUtils.getContextProperty("service.cache.time.chat"));
    //首页banner/plan/最新应用
    public static final Integer CACHE_TIME_INDEX = Integer.valueOf(PropertiesUtils.getContextProperty("service.cache.time.index"));
    //应用教学--进入应用页面
    public static final Integer CACHE_TIME_COURSE_TEACHING_VIEW = Integer.valueOf(PropertiesUtils.getContextProperty("service.cache.time.course.teaching.view"));
    //考勤开启持续时长  默认45分钟
    public static final Integer ATTENDANCE_PERSIST_MINUTES = 45;
    
    
    /**************************短信配置**************************/
    //产品名
    public static final String SERVICE_SMS_PRODUCT = (String) PropertiesUtils.getContextProperty("service.sms.product");
    //产品域名
    public static final String SERVICE_SMS_DOMAIN = (String) PropertiesUtils.getContextProperty("service.sms.domain");
    //accessKeyId
    public static final String SERVICE_SMS_ACID = (String) PropertiesUtils.getContextProperty("service.sms.accessKeyId");
    //accessKeySecret
    public static final String SERVICE_SMS_ACKS = (String) PropertiesUtils.getContextProperty("service.sms.accessKeySecret");
    //模板
    public static final String SERVICE_SMS_TC = (String) PropertiesUtils.getContextProperty("service.sms.tc");
    //url
    public static final String SERVICE_SMS_URL = (String) PropertiesUtils.getContextProperty("service.sms.url");
    //签名
    public static final String SERVICE_SMS_SN = (String) PropertiesUtils.getContextProperty("service.sms.sn");
    //超时
    public static final String SERVICE_SMS_CT = (String) PropertiesUtils.getContextProperty("service.sms.ct");
    
    
    /**************************邮件配置**************************/
    public static final String SERVICE_MAIL_ADDR= (String) PropertiesUtils.getContextProperty("service.mail.addr");
    public static final int SERVICE_MAIL_TYPE= Integer.valueOf(PropertiesUtils.getContextProperty("service.mail.type"));
    public static final String SERVICE_MAIL_SUB= (String) PropertiesUtils.getContextProperty("service.mail.sub");
    public static final String SERVICE_MAIL_TAG= (String) PropertiesUtils.getContextProperty("service.mail.tag");
    public static final String SERVICE_MAIL_CONTEXT= (String) PropertiesUtils.getContextProperty("service.mail.context");
    
    
    
    /**************************redis 配置*************************/
    public static final String REDIS_PASSWORD= (String) PropertiesUtils.getContextProperty("jedis.password");
    public static final String REDIS_HOST1= (String) PropertiesUtils.getContextProperty("jedis.host1");
    public static final String REDIS_HOST2= (String) PropertiesUtils.getContextProperty("jedis.host2");
    public static final String REDIS_HOST3= (String) PropertiesUtils.getContextProperty("jedis.host3");
    public static final String REDIS_HOST4= (String) PropertiesUtils.getContextProperty("jedis.host4");
    public static final String REDIS_HOST5= (String) PropertiesUtils.getContextProperty("jedis.host5");
    public static final String REDIS_HOST6= (String) PropertiesUtils.getContextProperty("jedis.host6");
    public static final String REDIS_PORT1= (String) PropertiesUtils.getContextProperty("jedis.port1");
    public static final String REDIS_PORT2= (String) PropertiesUtils.getContextProperty("jedis.port2");
    public static final String REDIS_PORT3= (String) PropertiesUtils.getContextProperty("jedis.port3");
    public static final String REDIS_PORT4= (String) PropertiesUtils.getContextProperty("jedis.port4");
    public static final String REDIS_PORT5= (String) PropertiesUtils.getContextProperty("jedis.port5");
    public static final String REDIS_PORT6= (String) PropertiesUtils.getContextProperty("jedis.port6");

    //word文档下载模板地址
    public static final String TEMPLATE_FOLDER= (String) PropertiesUtils.getContextProperty("template.folder.url");


}
