package com.yipin.liuwanr.controller;

import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.yipin.liuwanr.entity.Response;
import com.yipin.liuwanr.service.ClassService;


@RestController
@RequestMapping("/class")
public class ClassController {

	@Autowired
	private ClassService classService;

	/**
	 * 在行政班级面板，根据行政班级名称查询信息
	 * @param className
	 * @return
	 */
	@GetMapping("/queryGetByClassName")
	Response queryExperimentClass(@RequestParam String className) {
	    	Response resp = new Response(); 
				
			HashMap<String, Object> ret=classService.queryGetByClassName(className);
			int status = (int) ret.get("retcode");
			if (200 == status) {
				resp.setStatus(status);
				resp.setMessage(ret.get("retvalue"));
			} else {
				resp.setStatus(status);
				resp.setErrmessage(ret.get("retvalue").toString());
			}
			return resp;
     }

	
}
