package com.yipin.liuwanr.controller;

import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.yipin.liuwanr.Test;
import com.yipin.liuwanr.entity.Demo;
import com.yipin.liuwanr.entity.Response;
import com.yipin.liuwanr.helper.RedisHelper;
import com.yipin.liuwanr.service.UserService;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

@RestController
@RequestMapping("/demo")
public class DemoController {

	@Autowired
	private UserService userService;

	@Autowired
	RedisHelper redisHelper;

	@GetMapping("/demo")
	Response createUser() {
		Response resp = new Response();
		Demo demo = new Demo();
		if (demo!=null) {
			resp.setStatus(200);
			resp.setErrmessage("Parameter effective");
			HashMap<String, Object> ret = userService.demo(demo);
			int status = (int) ret.get("retcode");
			if (200 == status) {
				resp.setStatus(status);
				resp.setMessage(ret.get("retvalue"));
			} else {
				resp.setStatus(status);
				resp.setErrmessage(ret.get("retvalue").toString());
			}
		}
		return resp;
	}
	
	@GetMapping("/insert")
	Response createDemo() {
		String urlStr = "http://vip.stock.finance.sina.com.cn/quotes_service/api/json_v2.php/Market_Center.getHQNodeData?page=1&num=40&sort=symbol&asc=1&node=hs_a&symbol=&_s_r_a=init";
		Response resp = new Response();
		Demo demo = new Demo();
		String result = Test.getURLContent(urlStr);
		System.out.println(result);
		JSONArray json = JSONArray.fromObject(result);
		if (json.size()>0) {
			for (int i = 0; i < json.size(); i++) {
				JSONObject job = json.getJSONObject(i);
				String amount = job.getString("amount");
				String buy = job.getString("buy");
				String changepercent = job.getString("changepercent");
				String code = job.getString("code");
				String high = job.getString("high");
				String low = job.getString("low");
				String mktcap = job.getString("mktcap");
				String name = job.getString("name");
				String nmc = job.getString("nmc");
				String open = job.getString("open");
				String pb = job.getString("pb");
				String per = job.getString("per");
				String pricechange = job.getString("pricechange");
				String sell = job.getString("sell");
				String settlement = job.getString("settlement");
				String symbol = job.getString("symbol");
				String ticktime = job.getString("ticktime");
				String trade = job.getString("trade");
				String turnoverratio = job.getString("turnoverratio");
				String volume = job.getString("volume");
				demo.setAmount(amount);
				demo.setBuy(buy);
				demo.setChangepercent(changepercent);
				demo.setCode(code);
				demo.setHigh(high);
				demo.setLow(low);
				demo.setMktcap(mktcap);
				demo.setName(name);
				demo.setNmc(nmc);
				demo.setOpen(open);
				demo.setPb(pb);
				demo.setPer(per);
				demo.setPricechange(pricechange);
				demo.setSell(sell);
				demo.setSettlement(settlement);
				demo.setSymbol(symbol);
				demo.setTicktime(ticktime);
				demo.setTrade(trade);
				demo.setTurnoverratio(turnoverratio);
				demo.setVolume(volume);
				HashMap<String, Object> ret = userService.insert(demo);
			}
		}
//		HashMap<String, Object> ret = userService.demo(demo);
//		int status = (int) ret.get("retcode");
//		if (200 == status) {
//			resp.setStatus(status);
//			resp.setMessage(ret.get("retvalue"));
//		} else {
//			resp.setStatus(status);
//			resp.setErrmessage(ret.get("retvalue").toString());
//		}
	return resp;
	}
}
