package com.yipin.liuwanr.controller;

import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.yipin.liuwanr.entity.PersonalCenter;
import com.yipin.liuwanr.entity.Response;
import com.yipin.liuwanr.service.PersonalCenterService;

@RestController
@RequestMapping("/personalCenter")
public class PersonalCenterController {
	
	@Autowired
	private PersonalCenterService personalCenterService;
	/**
	 * 查询个人中心
	 */
	@GetMapping("/queryPersonalCenter")
	Response queryPersonalCenter(@RequestParam Integer userId,Integer accountRole) {
		Response resp = new Response();
		PersonalCenter personalCenter = new PersonalCenter();
		if(userId!=null) {
			personalCenter.setUserId(userId);
			if(accountRole==4) {
				//学生个人中心
				personalCenter.setAccountRole(accountRole);
				HashMap<String, Object> ret = personalCenterService.queryPersonalCenter(personalCenter);
				resp.setStatus(200);
				int status = (int) ret.get("retcode");
				if (200 == status) {
					resp.setStatus(status);
					resp.setMessage(ret.get("retvalue"));
				} else {
					resp.setStatus(status);
					resp.setErrmessage(ret.get("retvalue").toString());
				}
			}
			if(accountRole==3) {
				//老师个人中心
				personalCenter.setAccountRole(accountRole);
				HashMap<String, Object> ret = personalCenterService.queryPersonalCenterTeacher(personalCenter);
				resp.setStatus(200);
				int status = (int) ret.get("retcode");
				if (200 == status) {
					resp.setStatus(status);
					resp.setMessage(ret.get("retvalue"));
				} else {
					resp.setStatus(status);
					resp.setErrmessage(ret.get("retvalue").toString());
				}
			}
		}	
		return resp;
	}

}
