package com.yipin.liuwanr.controller;

import java.util.HashMap;
import java.util.List;

import com.yipin.liuwanr.entity.*;
import com.yipin.liuwanr.entity.Response;
import com.yipin.liuwanr.entity.annotation.Log;
import com.yipin.liuwanr.service.OrganizationRelationshipService;
import com.yipin.liuwanr.service.UserInfoService;
import com.yipin.liuwanr.vo.UserInfoVO;
import com.yipin.liuwanr.vo.UserVO;
import org.aspectj.weaver.ast.Or;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

import com.yipin.liuwanr.helper.RedisHelper;
import com.yipin.liuwanr.service.StaffService;
import com.yipin.liuwanr.service.UserService;

@RestController
@RequestMapping("/staff")
@CrossOrigin
public class StaffController {

	@Autowired
	private StaffService staffService;

	@Autowired
	private UserInfoService userInfoService;

	@Autowired
	RedisHelper redisHelper;
	
//	@PostMapping("/readStaff")
//	 Response readStaff(MultipartFile file,Integer schoolId){
//	  Response resp = new Response();
//	  if(StringUtils.isEmpty(schoolId)) {
//	  	resp.setStatus(300);
//	  	resp.setMessage("schoolId is not empty");
//	  	return resp;
//	  }
//	  HashMap<String, Object> ret =staffService.readStaff(file,schoolId);
//	  int status = (int) ret.get("retcode");
//	  if (200 == status) {
//	   resp.setStatus(status);
//	   resp.setMessage(ret.get("retvalue"));
//	  } else {
//	   resp.setStatus(status);
//	   resp.setErrmessage(ret.get("retvalue").toString());
//	  }
//	     return resp;
//}
//
//	/**
//	 * 	添加员工
//	 */
//	@Transactional
//	@PostMapping("/addStaff")
//	Response addStaff(@RequestBody UserVO vo) {
//		Response resp = new Response();
//		Staff staff = vo.getStaff();
//		UserM user = vo.getUser();
//		if (staff.getPhone()==null) {
//			resp.setStatus(300);
//			resp.setErrmessage("电话为空添加失败！");
//		} else {
//			HashMap<String, Object> ret = staffService.addStaff(staff);
//			int status = (int) ret.get("retcode");
//			if (200 == status) {
//				resp.setStatus(status);
//				resp.setMessage(ret.get("retvalue"));
//				HashMap<String, Object> ret1 = userService.addUser(user);
//				int status1 = (int) ret1.get("retcode");
//				if (status1 == 200){
//					resp.setStatus(status1);
//					resp.setMessage(ret1.get("retvalue"));
//				}else{
//					resp.setStatus(status1);
//					resp.setErrmessage(ret1.get("retvalue").toString());
//					throw new RuntimeException();
//				}
//			} else {
//				resp.setStatus(status);
//				resp.setErrmessage(ret.get("retvalue").toString());
//				throw new RuntimeException();
//			}
//		}
//		return resp;
//	}
//
//	/**
//	 * 	查询员工
//	 */
//	@GetMapping("/queryStaff")
//	Response queryStaff(@RequestParam Integer schoolId,String nameAndNumber,String staffProfessionalArchitectureIds,Integer pageNo,Integer pageSize,String staffGradeIds) {
//		Response resp = new Response();
//		Staff staff  = new Staff();
//		if (schoolId==null){
//			resp.setStatus(300);
//			resp.setErrmessage("学校id为空，查询失败！");
//		}else {
//			if (nameAndNumber!=null&&nameAndNumber!="") {
//				staff.setNameAndNumber(nameAndNumber);
//			}
//			if (staffProfessionalArchitectureIds!=null&&staffProfessionalArchitectureIds!="") {
//				staff.setStaffProfessionalArchitectureIds(staffProfessionalArchitectureIds);
//			}
//			if (staffGradeIds!=null&&staffGradeIds!="") {
//				staff.setStaffGradeIds(staffGradeIds);
//			}
//			staff.setSchoolId(schoolId);
//			HashMap<String, Object> ret = staffService.queryStaff(staff,pageNo,pageSize);
//			int status = (int) ret.get("retcode");
//			if (200 == status) {
//				resp.setStatus(status);
//				resp.setMessage(ret.get("retvalue"));
//			} else {
//				resp.setStatus(status);
//				resp.setErrmessage(ret.get("retvalue").toString());
//			}
//		}
//		return resp;
//	}
//
//	/**
//	 * 	查询员工详情
//	 */
//	@GetMapping("/queryStaffDetails")
//	Response queryStaffDetails(@RequestParam Integer staffId) {
//		Response resp = new Response();
//		if (staffId==null) {
//			resp.setStatus(300);
//			resp.setErrmessage("Parameter Invalid");
//		}else {
//			HashMap<String, Object> ret = staffService.queryStaffDetails(staffId);
//			int status = (int) ret.get("retcode");
//			if (200 == status) {
//				resp.setStatus(status);
//				resp.setMessage(ret.get("retvalue"));
//			} else {
//				resp.setStatus(status);
//				resp.setErrmessage(ret.get("retvalue").toString());
//			}
//		}
//	return resp;
//}
//
//	/**
//	 * 	查询员工
//	 */
//	@GetMapping("/getStaff")
//	Response getStaff(@RequestParam Integer schoolId,String nameAndNumber,String staffProfessionalArchitectureIds,Integer pageNo,Integer pageSize,String staffGradeIds) {
//		Response resp = new Response();
//		Staff staff  = new Staff();
//		if (schoolId==null){
//			resp.setStatus(300);
//			resp.setErrmessage("学校id为空，查询失败！");
//		}else {
//			if (nameAndNumber!=null&&nameAndNumber!="") {
//				staff.setNameAndNumber(nameAndNumber);
//			}
//			if (staffProfessionalArchitectureIds!=null&&staffProfessionalArchitectureIds!="") {
//				staff.setStaffProfessionalArchitectureIds(staffProfessionalArchitectureIds);
//			}
//			if (staffGradeIds!=null&&staffGradeIds!="") {
//				staff.setStaffGradeIds(staffGradeIds);
//			}
//			staff.setSchoolId(schoolId);
//			HashMap<String, Object> ret = staffService.queryStaff(staff,pageNo,pageSize);
//			int status = (int) ret.get("retcode");
//			if (200 == status) {
//				resp.setStatus(status);
//				resp.setMessage(ret.get("retvalue"));
//			} else {
//				resp.setStatus(status);
//				resp.setErrmessage(ret.get("retvalue").toString());
//			}
//		}
//		return resp;
//	}
//
//	/**
//	 * 	删除员工
//	 */
//	@PostMapping("/deleteStaff")
//	Response deleteStaff(@RequestBody List<Staff> staffList) {
//		Response resp = new Response();
//		int size = staffList.size();
//		for(int i=0;i<size;i++) {
//			Staff staff = staffList.get(i);
//			Integer staffId = staff.getStaffId();
//			String phone = staff.getPhone();
//			if (staffId==null) {
//				resp.setStatus(300);
//				resp.setErrmessage("员工id为空，删除失败！");
//			}else if (phone == null ||phone == ""){
//				resp.setStatus(300);
//				resp.setErrmessage("员工电话为空，删除失败！");
//			}
//			else {
//				HashMap<String, Object> ret = staffService.deleteStaff(staffId,phone);
//				int status = (int) ret.get("retcode");
//				if (200 == status) {
//					resp.setStatus(status);
//					resp.setMessage(ret.get("retvalue"));
//				} else {
//					resp.setStatus(status);
//					resp.setErrmessage(ret.get("retvalue").toString());
//				}
//			}
//		}
//		return resp;
//	}
//
//	/**
//	 * 	更新员工
//	 */
//	@PostMapping("/updateStaff")
//	Response updateStaff(@RequestBody UserVO vo) {
//		Response resp = new Response();
//		Staff staff = vo.getStaff();
//		Integer staffId = staff.getStaffId();
//		UserM user = vo.getUser();
//		String phone = user.getPhone();
//		if (staffId==null) {
//			resp.setStatus(300);
//			resp.setErrmessage("员工id为空，修改失败！");
//		}else if (phone==null||phone==""){
//			resp.setStatus(300);
//			resp.setErrmessage("电话为空，修改失败！");
//		}
//		else {
//			HashMap<String, Object> ret = staffService.updateStaff(vo);
//			int status = (int) ret.get("retcode");
//			if (200 == status) {
//				resp.setStatus(status);
//				resp.setMessage(ret.get("retvalue"));
//			} else {
//				resp.setStatus(status);
//				resp.setErrmessage(ret.get("retvalue").toString());
//			}
//		}
//		return resp;
//	}

	/**
	 * 	查询员工
	 */
	@GetMapping("/queryStaff")
	Response queryStaff(@RequestParam Integer schoolId,String searchContent,Integer pageNo,Integer pageSize,String oneDepartmentIds,String twoDepartmentIds) {
		Response resp = new Response();
		UserInfo userInfo = new UserInfo();
		if (schoolId==null){
			resp.setStatus(300);
			resp.setErrmessage("学校id为空，查询失败！");
		}else {
			if (searchContent!=null&&searchContent!="") {
				userInfo.setSearchContent(searchContent);
			}
			if (oneDepartmentIds!=null&&oneDepartmentIds!="") {
				userInfo.setOneDepartmentIds(oneDepartmentIds);
			}
			if (twoDepartmentIds!=null&&twoDepartmentIds!="") {
				userInfo.setTwoDepartmentIds(twoDepartmentIds);
			}
			userInfo.setSchoolId(schoolId);
			HashMap<String, Object> ret = staffService.queryStaff(userInfo,pageNo,pageSize);
			int status = (int) ret.get("retcode");
			if (200 == status) {
				resp.setStatus(status);
				resp.setMessage(ret.get("retvalue"));
			} else {
				resp.setStatus(status);
				resp.setErrmessage(ret.get("retvalue").toString());
			}
		}
		return resp;
	}

	/**
	 * 	添加员工
	 */
//	@Transactional
//	@PostMapping("/addStaff")
//	Response addStaff(@RequestBody UserInfoVO vo) {
//		Response resp = new Response();
//		//组织架构list
//		List<OrganizationRelationship> ORList = vo.getOrganizationRelationshipList();
//		UserInfo userInfo = vo.getUserInfo();
//		Integer userId = userInfo.getUserId();
//		String account = userInfo.getAccount();
//		Integer isNewUser = userInfo.getIsNewUser();
//		if (account==null||account=="") {
//			resp.setStatus(300);
//			resp.setErrmessage("账号为空添加失败！");
//		} else {
//			if (isNewUser==0){
//				HashMap<String, Object> sta = userInfoService.addStuStaff(ORList,userId);
//				int status = (int) sta.get("retcode");
//				if (status == 200){
//					resp.setStatus(status);
//					resp.setMessage(sta.get("retvalue"));
//				}else{
//					resp.setStatus(status);
//					resp.setErrmessage(sta.get("retvalue").toString());
//					throw new RuntimeException();
//				}
//			}else if(isNewUser==1){
//				HashMap<String, Object> ret = userInfoService.addUser(userInfo);
//				userId = (int) ret.get("userId");
//				int status = (int) ret.get("retcode");
//				if (status == 200){
//					HashMap<String, Object> sta = userInfoService.addStuStaff(ORList,userId);
//					int status1 = (int) sta.get("retcode");
//					if (status1 == 200){
//						resp.setStatus(status1);
//						resp.setMessage(sta.get("retvalue"));
//					}else{
//						resp.setStatus(status1);
//						resp.setErrmessage(sta.get("retvalue").toString());
//						throw new RuntimeException();
//					}
//				}else{
//					resp.setStatus(status);
//					resp.setErrmessage(ret.get("retvalue").toString());
//					throw new RuntimeException();
//				}
//			}else{
//				resp.setStatus(300);
//				resp.setErrmessage("新老用户为空添加失败！");
//			}
//		}
//		return resp;
//	}
	/**
	 * 更新员工
	 */
	@Log("更新员工")
	@PostMapping("/updateStaff")
	Response updateStaff(@RequestBody UserInfoVO vo) {
		Response resp = new Response();
		OrganizationRelationship or = vo.getOrganizationRelationship();
		UserInfo userInfo = vo.getUserInfo();
		if (or==null) {
			resp.setStatus(300);
			resp.setErrmessage("组织架构为空，修改失败！");
		}else if (userInfo.getUserId()==null){
			resp.setStatus(300);
			resp.setErrmessage("用户为空，修改失败！");
		} else {
			HashMap<String, Object> ret = staffService.updateNewStaff(vo);
			int status = (int) ret.get("retcode");
			if (200 == status) {
				resp.setStatus(status);
				resp.setMessage(ret.get("retvalue"));
			} else {
				resp.setStatus(status);
				resp.setErrmessage(ret.get("retvalue").toString());
			}
		}
		return resp;
	}

	/**
	 * 	删除员工
	 */
	@Log("删除员工")
	@PostMapping("/deleteStaff")
	Response deleteStaff(@RequestBody List<OrganizationRelationship> OrganizationRelationshipList) {
		Response resp = new Response();
		if (OrganizationRelationshipList.isEmpty()){
			resp.setStatus(300);
			resp.setErrmessage("员工为空，删除失败！");
		} else {
				HashMap<String, Object> ret = staffService.deleteStaff(OrganizationRelationshipList);
				int status = (int) ret.get("retcode");
				if (200 == status) {
					resp.setStatus(status);
					resp.setMessage(ret.get("retvalue"));
				} else {
					resp.setStatus(status);
					resp.setErrmessage(ret.get("retvalue").toString());
				}
			}
		return resp;
	}

		/**
	 * 	查询员工详情
	 */
	@GetMapping("/queryStaffDetails")
	Response queryStaffDetails(@RequestParam Integer userId,Integer roleId) {
		Response resp = new Response();
		if (userId==null) {
			resp.setStatus(300);
			resp.setErrmessage("用户id为空，查询失败！");
		}else if (roleId==null){
			resp.setStatus(300);
			resp.setErrmessage("角色id为空，查询失败！");
		} else {
			HashMap<String, Object> ret = staffService.queryStaffDetails(userId,roleId);
			int status = (int) ret.get("retcode");
			if (200 == status) {
				resp.setStatus(status);
				resp.setMessage(ret.get("retvalue"));
			} else {
				resp.setStatus(status);
				resp.setErrmessage(ret.get("retvalue").toString());
			}
		}
	return resp;
}
}
