package com.yipin.liuwanr.entity;

import java.util.List;

/**
 * 实验班级信息
 *
 * @author 全承珠
 */
public class ExperimentalClass {

    //实验班级主键ID
    private Integer experimentalClassId;
    //实验班级名称
    private String experimentalClassName;
    //班级大小
    private Integer classSize;
    //练习次数
    private Integer practiceNumber;
    //考核次数
    private Integer inspectionNumber;
    //课程进度
    private String courseSchedule;
    //创建时间
    private String creationTime;
    //创建人
    private String founder;
    //绑定课程Id
    private Integer courseId;
    //绑定学校id
    private Integer schoolId;
    //绑定用户Id
    private Integer userId;

    private List<Student> students;

    public List<Student> getStudents() {
        return students;
    }

    public void setStudents(List<Student> students) {
        this.students = students;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public Integer getExperimentalClassId() {
        return experimentalClassId;
    }

    public void setExperimentalClassId(Integer experimentalClassId) {
        this.experimentalClassId = experimentalClassId;
    }

    public String getExperimentalClassName() {
        return experimentalClassName;
    }

    public void setExperimentalClassName(String experimentalClassName) {
        this.experimentalClassName = experimentalClassName;
    }

    public Integer getClassSize() {
        return classSize;
    }

    public void setClassSize(Integer classSize) {
        this.classSize = classSize;
    }

    public Integer getPracticeNumber() {
        return practiceNumber;
    }

    public void setPracticeNumber(Integer practiceNumber) {
        this.practiceNumber = practiceNumber;
    }

    public Integer getInspectionNumber() {
        return inspectionNumber;
    }

    public void setInspectionNumber(Integer inspectionNumber) {
        this.inspectionNumber = inspectionNumber;
    }

    public String getCourseSchedule() {
        return courseSchedule;
    }

    public void setCourseSchedule(String courseSchedule) {
        this.courseSchedule = courseSchedule;
    }

    public String getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(String creationTime) {
        this.creationTime = creationTime;
    }

    public String getFounder() {
        return founder;
    }

    public void setFounder(String founder) {
        this.founder = founder;
    }

    public Integer getCourseId() {
        return courseId;
    }

    public void setCourseId(Integer courseId) {
        this.courseId = courseId;
    }

    @Override
    public String toString() {
        return "ExperimentalClass{" +
                "experimentalClassId=" + experimentalClassId +
                ", experimentalClassName='" + experimentalClassName + '\'' +
                ", classSize=" + classSize +
                ", practiceNumber=" + practiceNumber +
                ", inspectionNumber=" + inspectionNumber +
                ", courseSchedule='" + courseSchedule + '\'' +
                ", creationTime='" + creationTime + '\'' +
                ", founder='" + founder + '\'' +
                ", courseId=" + courseId +
                ", schoolId=" + schoolId +
                ", userId=" + userId +
                ", students=" + students +
                '}';
    }
}
