package com.yipin.liuwanr.entity;

import java.io.Serializable;
import java.util.List;

public class PageResult implements Serializable {

	// 总记录数
	private Long total;
	// 总记录
	private List<?> rows;
	private int totalPages;

	public PageResult(Long total, List<?> rows,int totalPages) {
		this.total = total;
		this.rows = rows;
		this.totalPages = totalPages;
	}

	public int getTotalPages() {
		return totalPages;
	}


	public void setTotalPages(int totalPages) {
		this.totalPages = totalPages;
	}


	public Long getTotal() {
		return total;
	}

	public void setTotal(Long total) {
		this.total = total;
	}

	public List<?> getRows() {
		return rows;
	}

	public void setRows(List<?> rows) {
		this.rows = rows;
	}

	@Override
	public String toString() {
		return "PageResult{" +
				"total=" + total +
				", rows=" + rows +
				", totalPages=" + totalPages +
				'}';
	}
}
