package com.yipin.liuwanr.entity;

import java.util.List;

/**
 * 项目管理
 * 
 * @author 86151
 *
 */
public class Project_Management {

	private Integer projectId;// 项目主键ID
	private String projectName;// 项目名称
	private Integer projectPermissions;// 项目权限(0、练习 1、考核 2、竞赛)
	private Integer founder;// 创建人(0、系统 1、老师)
	private String creationTime;// 创建时间
	private Integer state;// 状态(0、草稿箱 1、已发布)
	private String experimentalGoal;// 实验目标
	private String caseDescription; // 案例描述
	private String experimentTask;// 实验任务
	private String experimentalDataId;// 绑定实验数据ID
	private String experimentSuggests; // 实验提示
	private Integer systemId;// 绑定服务配置ID
	private Integer isdel;
	private Integer isShow;
	private Integer isstartexperimental;
	private Integer isstartexperimentSuggests;
	private Integer isOpenProject;
	private Integer isAttendance;
	private Integer signin;//是否签到

	public Project_Management(){

	}

	public Project_Management(Integer isOpenProject,Integer projectId){
		this.isOpenProject = isOpenProject;
		this.projectId = projectId;
	}

	public Project_Management(Integer projectId,Integer isAttendance,Integer founder){
		this.projectId = projectId;
		this.isAttendance = isAttendance;
		this.founder = founder;
	}

	private List<CourseLink> courseLinks;

	public List<CourseLink> getCourseLinks() {
		return courseLinks;
	}

	public void setCourseLinks(List<CourseLink> courseLinks) {
		this.courseLinks = courseLinks;
	}

	public Integer getSignin() {
		return signin;
	}

	public void setSignin(Integer signin) {
		this.signin = signin;
	}

	public Integer getIsstartexperimental() {
		return isstartexperimental;
	}

	public void setIsstartexperimental(Integer isstartexperimental) {
		this.isstartexperimental = isstartexperimental;
	}

	public Integer getIsstartexperimentSuggests() {
		return isstartexperimentSuggests;
	}

	public void setIsstartexperimentSuggests(Integer isstartexperimentSuggests) {
		this.isstartexperimentSuggests = isstartexperimentSuggests;
	}

	public Integer getProjectId() {
		return projectId;
	}

	public void setProjectId(Integer projectId) {
		this.projectId = projectId;
	}

	public String getProjectName() {
		return projectName;
	}

	public void setProjectName(String projectName) {
		this.projectName = projectName;
	}

	public Integer getProjectPermissions() {
		return projectPermissions;
	}

	public void setProjectPermissions(Integer projectPermissions) {
		this.projectPermissions = projectPermissions;
	}

	public Integer getFounder() {
		return founder;
	}

	public void setFounder(Integer founder) {
		this.founder = founder;
	}

	public String getCreationTime() {
		return creationTime;
	}

	public void setCreationTime(String creationTime) {
		this.creationTime = creationTime;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getExperimentalGoal() {
		return experimentalGoal;
	}

	public void setExperimentalGoal(String experimentalGoal) {
		this.experimentalGoal = experimentalGoal;
	}

	public String getCaseDescription() {
		return caseDescription;
	}

	public void setCaseDescription(String caseDescription) {
		this.caseDescription = caseDescription;
	}

	public String getExperimentTask() {
		return experimentTask;
	}

	public void setExperimentTask(String experimentTask) {
		this.experimentTask = experimentTask;
	}

	public Integer getIsdel() {
		return isdel;
	}

	public void setIsdel(Integer isdel) {
		this.isdel = isdel;
	}

	public Integer getIsShow() {
		return isShow;
	}

	public void setIsShow(Integer isShow) {
		this.isShow = isShow;
	}

	public String getExperimentalDataId() {
		return experimentalDataId;
	}

	public void setExperimentalDataId(String experimentalDataId) {
		this.experimentalDataId = experimentalDataId;
	}

	public String getExperimentSuggests() {
		return experimentSuggests;
	}


	public void setExperimentSuggests(String experimentSuggests) {
		this.experimentSuggests = experimentSuggests;
	}

	public Integer getSystemId() {
		return systemId;
	}

	public void setSystemId(Integer systemId) {
		this.systemId = systemId;
	}

	public Integer getIsAttendance() {
		return isAttendance;
	}

	public void setIsAttendance(Integer isAttendance) {
		this.isAttendance = isAttendance;
	}

	public Integer getIsOpenProject() {
		return isOpenProject;
	}

	public void setIsOpenProject(Integer isOpenProject) {
		this.isOpenProject = isOpenProject;
	}
}
