package com.yipin.liuwanr.entity;

import lombok.Data;

import java.util.List;

/**
 * 用户信息实体
 *
 * @author Ning
 */
@Data
public class UserInfo {
    //用户id
    private Integer userId;
    //用户token
    private String token;
    //角色id
    private String roleId;
    //用户姓名
    private String userName;
    //用户账号
    private String account;
    //用户密码
    private String password;
    //国家
    private String countries;
    //绑定省份id
    private Integer provinceId;
    //绑定城市id
    private Integer cityId;
    //创建时间
    private String creationTime;
    //登陆次数
    private Integer logInNumber;
    //最后登陆时间
    private String lastLoginTime;
    //性别
    private Integer sex;
    //证件类型(1、身份证)
    private Integer documentType;
    //身份证
    private String IDNumber;
    //教育程度(1、研究数及以上)
    private Integer educationDegree;
    //电话
    private String phone;
    //微信账号
    private String WeChatID;
    //出生日期
    private String dateBirth;
    //邮箱
    private String email;
    //学校id
    private Integer schoolId;
    //唯一标示性账号
    private String uniqueIdentificationAccount;
    //搜索内容
    private String searchContent;
    private List<UserInfo> user;
    //用户头像路径
    private String userAvatars;
    //---------------------------------------------与用户关联实体
    //学校名称
    private String schoolName;
    //省份名称
    private String provinceName;
    //城市名称
    private String cityName;
    //条件查询月
    private Integer month;
    //条件查询结束时间
    private String endTime;
    //专业类ID
    private Integer professionalClassId;
    //专业类名称
    private String professionalClassName;
    //学科ID
    private Integer disciplineId;
    //学科名称
    private String disciplineName;
    //专业id
    private Integer professionalId;
    //专业名称
    private String professionalName;
    //工号学号
    private String workNumber;
    //一级部门ID
    private Integer oneDepartmentId;
    //一级部门ID
    private String oneDepartmentIds;
    //二级部门ID
    private Integer twoDepartmentId;
    //二级部门ID
    private String twoDepartmentIds;
    //一级部门名称
    private String oneDepartmentName;
    //二级部门名称
    private String twoDepartmentName;
    //组织架构id
    private Integer organizationRelationshipId;
    //登陆时间
    private String dataTime;

    //鉴权token
    private String loginToken;
}
