package com.yipin.liuwanr.entity;

import java.util.List;

/**
 * 用户信息实体
 *
 * @author Ning
 */
public class UserM {
    //用户id
    private Integer userId;
    //用户姓名
    private String name;
    //用户账号
    private String userAccount;
    //用户密码
    private String password;
    //国家
    private String countries;
    //绑定省份id
    private Integer provinceId;
    //绑定城市id
    private Integer cityId;
    //账号角色
    private Integer accountRole;
    //创建时间
    private String creationTime;
    //登陆次数
    private Integer logInNumber;
    //工号、学号
    private String workNumber;
    //部门
    private String department;
    //班级
    private String classAndGrade;
    //上次登陆时间
    private String lastTimeOfLanding;
    //性别
    private Integer sex;
    //证件类型(1、身份证)
    private Integer documentType;
    //身份证
    private String IDNumber;
    //教育程度(1、研究数及以上)
    private Integer educationDegree;
    //授课学科(1、金融)
    private Integer subjectsTaught;
    //电话
    private String phone;
    //微信账号
    private String WeChatID;
    //授课专业
    private String teachingProfessional;
    //出生日期
    private String dateBirth;
    //邮箱
    private String email;
    //学校id
    private Integer schoolId;
    //唯一标示性账号
    private String uniqueIdentificationAccount;
    //搜索内容
    private String searchContent;
    private List<UserM> user;
    //用户头像路径
    private String userAvatars;
    //------------------------------------------------
    //学校名称
    private String schoolName;
    //省份名称
    private String provinceName;
    //城市名称
    private String cityName;
    //条件查询月
    private Integer month;
    //条件查询结束时间
    private String endTime;
    //专业类ID
    private Integer professionalClassId;
    //专业类名称
    private String professionalClassName;
    //学科ID
    private Integer disciplineId;
    //学科名称
    private String disciplineName;
    //专业id
    private Integer professionalId;
    //专业名称
    private String professionalName;

    public Integer getProfessionalClassId() {
        return professionalClassId;
    }

    public void setProfessionalClassId(Integer professionalClassId) {
        this.professionalClassId = professionalClassId;
    }

    public String getProfessionalClassName() {
        return professionalClassName;
    }

    public void setProfessionalClassName(String professionalClassName) {
        this.professionalClassName = professionalClassName;
    }

    public Integer getDisciplineId() {
        return disciplineId;
    }

    public void setDisciplineId(Integer disciplineId) {
        this.disciplineId = disciplineId;
    }

    public String getDisciplineName() {
        return disciplineName;
    }

    public void setDisciplineName(String disciplineName) {
        this.disciplineName = disciplineName;
    }

    public Integer getProfessionalId() {
        return professionalId;
    }

    public void setProfessionalId(Integer professionalId) {
        this.professionalId = professionalId;
    }

    public String getProfessionalName() {
        return professionalName;
    }

    public void setProfessionalName(String professionalName) {
        this.professionalName = professionalName;
    }

    public String getUserAvatars() {
        return userAvatars;
    }

    public void setUserAvatars(String userAvatars) {
        this.userAvatars = userAvatars;
    }

    public Integer getMonth() {
        return month;
    }

    public void setMonth(Integer month) {
        this.month = month;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getSearchContent() {
        return searchContent;
    }

    public void setSearchContent(String searchContent) {
        this.searchContent = searchContent;
    }

    public List<UserM> getUser() {
        return user;
    }

    public void setUser(List<UserM> user) {
        this.user = user;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getUniqueIdentificationAccount() {
        return uniqueIdentificationAccount;
    }

    public void setUniqueIdentificationAccount(String uniqueIdentificationAccount) {
        this.uniqueIdentificationAccount = uniqueIdentificationAccount;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUserAccount() {
        return userAccount;
    }

    public void setUserAccount(String userAccount) {
        this.userAccount = userAccount;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getCountries() {
        return countries;
    }

    public void setCountries(String countries) {
        this.countries = countries;
    }

    public Integer getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Integer provinceId) {
        this.provinceId = provinceId;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public Integer getAccountRole() {
        return accountRole;
    }

    public void setAccountRole(Integer accountRole) {
        this.accountRole = accountRole;
    }

    public String getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(String creationTime) {
        this.creationTime = creationTime;
    }

    public Integer getLogInNumber() {
        return logInNumber;
    }

    public void setLogInNumber(Integer logInNumber) {
        this.logInNumber = logInNumber;
    }

    public String getWorkNumber() {
        return workNumber;
    }

    public void setWorkNumber(String workNumber) {
        this.workNumber = workNumber;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getClassAndGrade() {
        return classAndGrade;
    }

    public void setClassAndGrade(String classAndGrade) {
        this.classAndGrade = classAndGrade;
    }

    public String getLastTimeOfLanding() {
        return lastTimeOfLanding;
    }

    public void setLastTimeOfLanding(String lastTimeOfLanding) {
        this.lastTimeOfLanding = lastTimeOfLanding;
    }

    public Integer getSex() {
        return sex;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public Integer getDocumentType() {
        return documentType;
    }

    public void setDocumentType(Integer documentType) {
        this.documentType = documentType;
    }

    public String getIDNumber() {
        return IDNumber;
    }

    public void setIDNumber(String iDNumber) {
        IDNumber = iDNumber;
    }

    public Integer getEducationDegree() {
        return educationDegree;
    }

    public void setEducationDegree(Integer educationDegree) {
        this.educationDegree = educationDegree;
    }

    public Integer getSubjectsTaught() {
        return subjectsTaught;
    }

    public void setSubjectsTaught(Integer subjectsTaught) {
        this.subjectsTaught = subjectsTaught;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getWeChatID() {
        return WeChatID;
    }

    public void setWeChatID(String weChatID) {
        WeChatID = weChatID;
    }

    public String getTeachingProfessional() {
        return teachingProfessional;
    }

    public void setTeachingProfessional(String teachingProfessional) {
        this.teachingProfessional = teachingProfessional;
    }

    public String getDateBirth() {
        return dateBirth;
    }

    public void setDateBirth(String dateBirth) {
        this.dateBirth = dateBirth;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    @Override
    public String toString() {
        return "UserM{" +
                "userId=" + userId +
                ", name='" + name + '\'' +
                ", userAccount='" + userAccount + '\'' +
                ", password='" + password + '\'' +
                ", countries='" + countries + '\'' +
                ", provinceId=" + provinceId +
                ", cityId=" + cityId +
                ", accountRole=" + accountRole +
                ", creationTime='" + creationTime + '\'' +
                ", logInNumber=" + logInNumber +
                ", workNumber='" + workNumber + '\'' +
                ", department='" + department + '\'' +
                ", classAndGrade='" + classAndGrade + '\'' +
                ", lastTimeOfLanding='" + lastTimeOfLanding + '\'' +
                ", sex=" + sex +
                ", documentType=" + documentType +
                ", IDNumber='" + IDNumber + '\'' +
                ", educationDegree=" + educationDegree +
                ", subjectsTaught=" + subjectsTaught +
                ", phone='" + phone + '\'' +
                ", WeChatID='" + WeChatID + '\'' +
                ", teachingProfessional='" + teachingProfessional + '\'' +
                ", dateBirth='" + dateBirth + '\'' +
                ", email='" + email + '\'' +
                ", schoolId=" + schoolId +
                ", uniqueIdentificationAccount='" + uniqueIdentificationAccount + '\'' +
                ", searchContent='" + searchContent + '\'' +
                ", user=" + user +
                ", userAvatars='" + userAvatars + '\'' +
                ", schoolName='" + schoolName + '\'' +
                ", provinceName='" + provinceName + '\'' +
                ", cityName='" + cityName + '\'' +
                ", month=" + month +
                ", endTime='" + endTime + '\'' +
                ", professionalClassId=" + professionalClassId +
                ", professionalClassName='" + professionalClassName + '\'' +
                ", disciplineId=" + disciplineId +
                ", disciplineName='" + disciplineName + '\'' +
                ", professionalId=" + professionalId +
                ", professionalName='" + professionalName + '\'' +
                '}';
    }
}
