package com.yipin.liuwanr.entity.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yipin.liuwanr.entity.HrUserAccount;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 * 用户管理列表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@ToString
public class UserAccountListRes implements Serializable {

    @TableId(value = "id", type = IdType.ID_WORKER)
    private Integer id;

    /**
     * 用户表id
     */
    private Integer userId;

    /**
     * 账号
     */
    private String account;

    /**
     * 工号
     */
    private String workNumber;

    /**
     * 绑定的角色id
     */
    private String roleId;

    /**
     * 绑定院校id
     */
    private Integer schoolId;

    private String schoolName;

    /**
     * 所属平台：1->职站 2->数据平台
     */
    private Integer platformId;

    private String platformName;

    /**
     * 平台端区分：0->教师端 1->学生端
     */
    private Integer type;

}
