package com.yipin.liuwanr.entity.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yipin.liuwanr.entity.HrUserAccount;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * <p>
 * 用户管理列表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@ToString
public class UserSchoolDetailRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 院校id
     */
    private Integer schoolId;

    /**
     * 账号集合
     */
    private List<HrUserAccount> accountList;

}
