package com.yipin.liuwanr.entity.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.yipin.liuwanr.entity.HrUserAccount;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户管理列表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@ToString
public class UserSysDetailRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableId(value = "userId", type = IdType.AUTO)
    private Integer userId;

    /**
     * 所属平台
     */
    private Integer platformId;

    /**
     * 组织关系
     */
    private Integer organizationalRelation;

    /**
     * 集合层
     */
    private List<UserSchoolDetailRes> bigList;

    private Map map;

}
