package com.yipin.liuwanr.helper;

import java.io.ByteArrayInputStream;
import java.io.InputStream;
import org.apache.commons.codec.binary.Base64;
import com.aliyun.oss.OSSClient;

public class OSSHelper {

	private static OSSHelper instance = null;
	
	private OSSClient ossClient = null;
	
	public static OSSHelper getInstance(){
		if(instance == null){
			instance = new OSSHelper();
			instance.init();
		}
		return instance;
	}
	
	private void init(){
		this.ossClient = new OSSClient("oss-cn-shenzhen.aliyuncs.com", "LTAIHIkGqaILObBm", "QDTxKMrfDPeJ3bsr3AqjYHwnlL6PdM");
	}
	
	public void put(String name, String content){
		InputStream is = new ByteArrayInputStream(Base64.decodeBase64(content));
		ossClient.putObject("lwsnapshots", name, is);
	}
	
	public void put(String bucket, String name, byte[] bytes){
		InputStream is = new ByteArrayInputStream(bytes);
		ossClient.putObject(bucket, name, is);
	}
}

