package com.yipin.liuwanr.mapper;

import java.util.List;

import com.yipin.liuwanr.entity.StudentCity;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;
@Mapper
public interface CityMapper {
	
	@Insert("INSERT INTO studentCity(cityName,provinceId,isdel)"
			+ "VALUES(#{cityName},#{provinceId},0)")
	void addCity(StudentCity studentCity);
	
	@Select({"<script>",
        "SELECT cityId,cityName,provinceId from city where isdel = 0 and provinceId=#{provinceId} order by cityId ",
        "</script> "})
	List<StudentCity> queryCity(Integer provinceId);
	
	@Update("UPDATE city SET isdel = 1 where cityId = #{cityId}")
	void deleteCity(Integer cityId);
	
	@Update("UPDATE studentCity SET cityName = #{cityName} where cityId = #{cityId}")
	void updateCity(StudentCity studentCity);
}