package com.yipin.liuwanr.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.yipin.liuwanr.entity.OrganizationRelationship;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

@Mapper
public interface OrganizationRelationshipMapper{

    @Insert({"<script>" +
            "INSERT INTO hr_organization_relationship(userId,roleId,workNumber,professionalId,gradeId,classId,isdel,schoolId,platformId)",
            "VALUES(#{userId},4,#{workNumber},#{professionalId},#{gradeId},#{classId},0,#{schoolId},1)",
            "</script>"})
    Integer insertOrganizationRelationship(OrganizationRelationship organizationRelationship);

    @Select("select organizationRelationshipId,schoolName,professionalName,gradeName,className,workNumber,roleId " +
            "from hr_organization_relationship where userId=#{userId} ")
    List<OrganizationRelationship> getByuserId(Integer userId);


    @Delete("delete from hr_organization_relationship where organizationRelationshipId =#{organizationRelationshipId}")
    boolean deleteByorganizationRelationshipId(Integer organizationRelationshipId);


}
