package com.yipin.liuwanr.mapper;

import com.yipin.liuwanr.entity.Project_Management;
import com.yipin.liuwanr.entity.SysRolePermission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 * 角色权限中间表 Mapper 接口
 * </p>
 *
 * @author Qyq
 * @since 2021-02-26
 */
@Mapper
public interface SysRolePermissionMapper extends BaseMapper<SysRolePermission> {

    @Select({"<script>",
"        select permission_id as permissionId from sys_role_permission\n" +
        "        where role_id  in\n" +
        "        <foreach collection=\"ids\" open=\"(\" separator=\",\" close=\")\" item=\"id\">\n" +
        "            #{id}\n" +
        "        </foreach>",
            "</script> "})
    List<SysRolePermission> queryPermissionsByRoleIds(@Param("ids") List<Long> ids);
}
