package com.yipin.liuwanr.service;

import java.util.HashMap;

import org.jboss.logging.Logger;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.yipin.liuwanr.mapper.ClassMapper;
/**
*
* 
* @author 全承珠
*
*/
@Service
public class ClassService {

	private static Logger logger = Logger.getLogger(UserService.class);
	
	@Autowired
	private ClassMapper classMapper;
	
	public HashMap<String, Object> queryGetByClassName(String className){
		HashMap<String, Object> resp = new HashMap<String, Object>();
		try {
			resp.put("retvalue", classMapper.queryGetByClassName(className));
			resp.put("retcode", 200);
		} catch (RuntimeException e) {
			logger.error(e.getMessage());
			resp.put("retcode", 500);
			resp.put("retvalue", "Inquiry Failed");
			return resp;
		}
		return resp;
	}
	
	
}