package com.yipin.liuwanr.service;

import com.yipin.liuwanr.entity.HrUserAccount;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yipin.liuwanr.entity.response.UserSysDetailRes;
import com.yipin.liuwanr.entity.vo.UserInfoReq;
import com.yipin.liuwanr.util.PageUtils;

import java.util.List;

/**
 * <p>
 * 各个平台账号表 服务类
 * </p>
 *
 * @author Qyq
 * @since 2021-06-18
 */
public interface IHrUserAccountService extends IService<HrUserAccount> {
    List queryPage(Integer page, Integer size, UserInfoReq userInfoReq);

    PageUtils queryPage2(Integer page, Integer size, UserInfoReq userInfoReq);

    int resetPwd(Integer userId);

    int delUserAccount(Integer userId,Integer isdel);

    UserSysDetailRes selectUserSysBind(Integer userId, Integer platformId);

    HrUserAccount selectAccountDetail(Integer accountId);
}
