package com.yipin.liuwanr;

import com.yipin.liuwanr.entity.Class;
import com.yipin.liuwanr.service.ClassService;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashMap;
import java.util.List;

@RunWith(SpringRunner.class)
@SpringBootTest
public class ClassServiceTest {

    @Autowired
    private ClassService classService;

    @Test
    public void testQueryGetByClassName() {
        HashMap<String, Object> map = classService.queryGetByClassName("");
        Integer retcode = (Integer) map.get("retcode");
        System.out.println(retcode);
        if (retcode == 200) {
            List<Class> classes = (List<Class>) map.get("retvalue");
            classes.forEach(item -> {
                System.out.println(item.toString());
            });
        } else {
            String msg = (String) map.get("retvalue");
            System.out.println(msg);
        }
    }
}
