package com.yipin.liuwanr;

import javax.servlet.MultipartConfigElement;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.web.servlet.MultipartConfigFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class TomcatConfig {
	@Value("${spring.servlet.multipart.maxFileSize}")
	private String MaxFileSize;
	@Value("${spring.servlet.multipart.maxRequestSize}")
	private String MaxRequestSize;

	@Bean
	public MultipartConfigElement multipartConfigElement() {
		MultipartConfigFactory factory = new MultipartConfigFactory();
		// 单个数据大小
		factory.setMaxFileSize(MaxFileSize); // KB,MB
		/// 总上传数据大小
		factory.setMaxRequestSize(MaxRequestSize);
		return factory.createMultipartConfig();
	}

}
