//package com.yipin.liuwanr.config;
//
//import com.yipin.liuwanr.filter.LocalUserInfoFilter;
//import org.jasig.cas.client.authentication.AuthenticationFilter;
//import org.jasig.cas.client.session.SingleSignOutFilter;
//import org.jasig.cas.client.session.SingleSignOutHttpSessionListener;
//import org.jasig.cas.client.util.AssertionThreadLocalFilter;
//import org.jasig.cas.client.util.HttpServletRequestWrapperFilter;
//import org.jasig.cas.client.validation.Cas20ProxyReceivingTicketValidationFilter;
//import org.springframework.boot.web.servlet.FilterRegistrationBean;
//import org.springframework.boot.web.servlet.ServletListenerRegistrationBean;
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.core.Ordered;
//
///**
// * cas过滤器配置
// */
//
//@Configuration
//public class CasFilterConfig {
//
//    //生效的cas配置
//    private static final String CAS_URL= "https://idas.uestc.edu.cn/authserver";
//
//    private static final String APP_URL= "https://finance.uestc.cn";
//
//    @Bean
//    public ServletListenerRegistrationBean<SingleSignOutHttpSessionListener> servletListenerRegistrationBean(){
//        ServletListenerRegistrationBean<SingleSignOutHttpSessionListener>  listenerRegistrationBean = new ServletListenerRegistrationBean<>();
//        listenerRegistrationBean.setListener(new SingleSignOutHttpSessionListener());
//        listenerRegistrationBean.setOrder(Ordered.HIGHEST_PRECEDENCE);
//        return listenerRegistrationBean;
//    }
//
//    /**
//     * 单点登录退出
//     * @return registrationBean
//     */
//    @Bean
//    public FilterRegistrationBean<SingleSignOutFilter> singleSignOutFilter(){
//        FilterRegistrationBean<SingleSignOutFilter> registrationBean = new FilterRegistrationBean<>();
//        registrationBean.setFilter(new SingleSignOutFilter());
//        registrationBean.addUrlPatterns("/userInfo/loginOut");
//        registrationBean.addInitParameter("casServerUrlPrefix", CAS_URL );
//        registrationBean.setName("CAS Single Sign Out Filter");
//        registrationBean.setOrder(2);
//        return registrationBean;
//    }
//
//    /**
//     * 单点登录认证
//     * @return registrationBean
//     */
//    @Bean
//    public FilterRegistrationBean<AuthenticationFilter> authenticationFilter(){
//        FilterRegistrationBean<AuthenticationFilter> registrationBean = new FilterRegistrationBean<>();
//        registrationBean.setFilter(new AuthenticationFilter());
//        registrationBean.addUrlPatterns("/userInfo/loginSchoolClient");
//        registrationBean.setName("CAS Filter");
//        registrationBean.addInitParameter("casServerLoginUrl",CAS_URL);
//        registrationBean.addInitParameter("serverName", APP_URL );
//        registrationBean.setOrder(3);
//        return registrationBean;
//    }
//
//    /**
//     * 单点登录校验
//     * @return registrationBean
//     */
//
//    @Bean
//    public FilterRegistrationBean<Cas20ProxyReceivingTicketValidationFilter> cas20ProxyReceivingTicketValidationFilter(){
//        FilterRegistrationBean<Cas20ProxyReceivingTicketValidationFilter> registrationBean = new FilterRegistrationBean<>();
//        registrationBean.setFilter(new Cas20ProxyReceivingTicketValidationFilter());
//        registrationBean.addUrlPatterns("/userInfo/loginSchoolClient");
//        registrationBean.setName("CAS Validation Filter");
//        registrationBean.addInitParameter("casServerUrlPrefix", CAS_URL );
//        registrationBean.addInitParameter("serverName", APP_URL );
//        registrationBean.setOrder(4);
//        return registrationBean;
//    }
//
//    /**
//     * 单点登录请求包装
//     * @return registrationBean
//     */
//
//    @Bean
//    public FilterRegistrationBean<HttpServletRequestWrapperFilter> httpServletRequestWrapperFilter(){
//        FilterRegistrationBean<HttpServletRequestWrapperFilter> registrationBean = new FilterRegistrationBean<>();
//        registrationBean.setFilter(new HttpServletRequestWrapperFilter());
//        registrationBean.addUrlPatterns("/userInfo/loginSchoolClient");
//        registrationBean.setName("CAS HttpServletRequest Wrapper Filter");
//        registrationBean.setOrder(5);
//        return registrationBean;
//    }
//
//    /**
//     * 单点登录本地用户信息
//     * @return registrationBean
//     */
//
//    @Bean
//    public FilterRegistrationBean<LocalUserInfoFilter> localUserInfoFilter(){
//
//        FilterRegistrationBean<LocalUserInfoFilter> registrationBean = new FilterRegistrationBean<>();
//        registrationBean.setFilter(new LocalUserInfoFilter());
//
//        registrationBean.addUrlPatterns("/userInfo/loginSchoolClient");
//        registrationBean.setName("localUserInfoFilter");
//        registrationBean.setOrder(6);
//        return registrationBean;
//    }
//
//    @Bean
//    public FilterRegistrationBean<AssertionThreadLocalFilter> assertionThreadLocalFilter(){
//
//        FilterRegistrationBean<AssertionThreadLocalFilter> registrationBean
//                = new FilterRegistrationBean<>();
//        registrationBean.setFilter(new AssertionThreadLocalFilter());
//        registrationBean.setOrder(4);
//        return registrationBean;
//    }
//
//}
