package com.yipin.liuwanr.controller;

import java.util.HashMap;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.util.StringUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.yipin.liuwanr.entity.Response;
import com.yipin.liuwanr.service.AssesmentRecordService;

@RestController
@RequestMapping("/assesmentRecord")
/**
 * 考核记录
 * @author 或然
 *
 */
public class AssesmentRecordController {
	
	@Autowired
	private AssesmentRecordService assesmentRecordService;
	
	/**
	 * 考核管理查询成绩明细
	 */
	@GetMapping("/queryStudentAssessment")
	Response queryStudentAssessment(@RequestParam Integer studentId,@RequestParam Integer courseId) {
		Response resp = new Response();
		if (studentId==null) {
			resp.setStatus(300);
			resp.setErrmessage("学生信息为空");
		}else{
			HashMap<String, Object> ret = assesmentRecordService.queryStudentAssessment(studentId,courseId);
			int status = (int) ret.get("retcode");
			if (200 == status) {
				resp.setStatus(status);
				resp.setMessage(ret.get("retvalue"));
			} else {
				resp.setStatus(status);
				resp.setErrmessage(ret.get("retvalue").toString());
			}
		}
		return resp;
	}
	
}