package com.yipin.liuwanr.entity;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Pattern;
import java.util.List;

public class Customer {

    //主键ID
    private Integer customerId;
    //客户名称
    private String customerName;
    //国家
    private String countries;
    //行业
    private String industry;
    //省份
    private Integer provinceId;
    //管理员姓名
    private String adminName;
    //管理员电话
    private String adminPhone;
    //城市
    private Integer cityId;
    //客户类型
    private Integer customerType;
    //到期时间
    private String stopTime;
    //创建时间
    private String creationTime;
    //邮件
    private String email;
    //绑定学校ID
    private Integer schoolId;
    //搜索内容
    private String searchContent;
    private List<Customer> customer;
    //绑定行业类ID
    private Integer industryClassId;
    //绑定行业类名称
    private String industryClassName;
    //绑定行业ID
    private Integer industryId;
    //绑定行业名称
    private String industryName;
    //————————————————————————
    //绑定省份名称
    private String provinceName;
    //绑定城市名称
    private String cityName;
    //绑定学校名称
    private String schoolName;
    //学校层次
    private Integer level;

    //账号
    @Pattern(regexp = "^[a-zA-Z0-9]{3,20}$",message = "账号格式有误！")
    @NotBlank(message = "账号不能为空！")
    private String account;

    //职务
    private String position;

    public String getCreationTime() {
        return creationTime;
    }

    public void setCreationTime(String creationTime) {
        this.creationTime = creationTime;
    }

    public String getIndustryClassName() {
        return industryClassName;
    }

    public void setIndustryClassName(String industryClassName) {
        this.industryClassName = industryClassName;
    }

    public String getIndustryName() {
        return industryName;
    }

    public void setIndustryName(String industryName) {
        this.industryName = industryName;
    }

    public Integer getIndustryClassId() {
        return industryClassId;
    }

    public void setIndustryClassId(Integer industryClassId) {
        this.industryClassId = industryClassId;
    }

    public Integer getIndustryId() {
        return industryId;
    }

    public void setIndustryId(Integer industryId) {
        this.industryId = industryId;
    }

    public List<Customer> getCustomer() {
        return customer;
    }

    public void setCustomer(List<Customer> customer) {
        this.customer = customer;
    }

    public String getSearchContent() {
        return searchContent;
    }

    public void setSearchContent(String searchContent) {
        this.searchContent = searchContent;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public Integer getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Integer customerId) {
        this.customerId = customerId;
    }

    public String getCustomerName() {
        return customerName;
    }

    public void setCustomerName(String customerName) {
        this.customerName = customerName;
    }

    public String getCountries() {
        return countries;
    }

    public void setCountries(String countries) {
        this.countries = countries;
    }

    public String getIndustry() {
        return industry;
    }

    public void setIndustry(String industry) {
        this.industry = industry;
    }

    public Integer getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Integer provinceId) {
        this.provinceId = provinceId;
    }

    public String getAdminName() {
        return adminName;
    }

    public void setAdminName(String adminName) {
        this.adminName = adminName;
    }

    public String getAdminPhone() {
        return adminPhone;
    }

    public void setAdminPhone(String adminPhone) {
        this.adminPhone = adminPhone;
    }

    public Integer getCityId() {
        return cityId;
    }

    public void setCityId(Integer cityId) {
        this.cityId = cityId;
    }

    public Integer getCustomerType() {
        return customerType;
    }

    public void setCustomerType(Integer customerType) {
        this.customerType = customerType;
    }

    public String getStopTime() {
        return stopTime;
    }

    public void setStopTime(String stopTime) {
        this.stopTime = stopTime;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Integer schoolId) {
        this.schoolId = schoolId;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    @Override
    public String toString() {
        return "Customer{" +
                "customerId=" + customerId +
                ", customerName='" + customerName + '\'' +
                ", countries='" + countries + '\'' +
                ", industry='" + industry + '\'' +
                ", provinceId=" + provinceId +
                ", adminName='" + adminName + '\'' +
                ", adminPhone='" + adminPhone + '\'' +
                ", cityId=" + cityId +
                ", customerType=" + customerType +
                ", stopTime='" + stopTime + '\'' +
                ", creationTime='" + creationTime + '\'' +
                ", email='" + email + '\'' +
                ", schoolId=" + schoolId +
                ", searchContent='" + searchContent + '\'' +
                ", customer=" + customer +
                ", industryClassId=" + industryClassId +
                ", industryClassName='" + industryClassName + '\'' +
                ", industryId=" + industryId +
                ", industryName='" + industryName + '\'' +
                ", provinceName='" + provinceName + '\'' +
                ", cityName='" + cityName + '\'' +
                ", schoolName='" + schoolName + '\'' +
                ", level=" + level +
                ", account=" + account +
                ", position=" + position +
                '}';
    }
}
