package com.yipin.liuwanr.entity;

import java.util.List;

public class Order {
	//订单主键id
	private Integer orderId;
	//订单编号
	private String orderNumber;
	//绑定客户id
	private Integer customerId;
	//客户名称
	private String customerName;
	//订单名称
	private String orderName;
	//订单金额
	private String orderAmount;
	//订单时间
	private String orderDate;
	//订单类型(1、正式 2、使用)
	private Integer orderType;
	//订单状态(1、待发货 2、已完成 3、已取消)
	private Integer orderStatus;
	//订单性质(1、续签 2、初签)
	private Integer orderNature;
	//省份
	private Integer provinceId;
	//城市
	private Integer cityId;
	//订单联系人
	private String orderContact;
	//电话
	private String phone;
	//邮件
	private String email;
	//搜索内容
	private String searchContent;
	//多个订单id
	private List<Integer> orderIds;
	
	
	public List<Integer> getOrderIds() {
		return orderIds;
	}
	public void setOrderIds(List<Integer> orderIds) {
		this.orderIds = orderIds;
	}
	public Integer getCustomerId() {
		return customerId;
	}
	public void setCustomerId(Integer customerId) {
		this.customerId = customerId;
	}
	public Integer getOrderId() {
		return orderId;
	}
	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}
	public Integer getProvinceId() {
		return provinceId;
	}
	public void setProvinceId(Integer provinceId) {
		this.provinceId = provinceId;
	}
	public Integer getCityId() {
		return cityId;
	}
	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}
	public String getSearchContent() {
		return searchContent;
	}
	public void setSearchContent(String searchContent) {
		this.searchContent = searchContent;
	}
	public String getOrderNumber() {
		return orderNumber;
	}
	public void setOrderNumber(String orderNumber) {
		this.orderNumber = orderNumber;
	}
	public String getCustomerName() {
		return customerName;
	}
	public void setCustomerName(String customerName) {
		this.customerName = customerName;
	}
	public String getOrderName() {
		return orderName;
	}
	public void setOrderName(String orderName) {
		this.orderName = orderName;
	}
	public String getOrderAmount() {
		return orderAmount;
	}
	public void setOrderAmount(String orderAmount) {
		this.orderAmount = orderAmount;
	}
	public String getOrderDate() {
		return orderDate;
	}
	public void setOrderDate(String orderDate) {
		this.orderDate = orderDate;
	}
	public Integer getOrderType() {
		return orderType;
	}
	public void setOrderType(Integer orderType) {
		this.orderType = orderType;
	}
	public Integer getOrderStatus() {
		return orderStatus;
	}
	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}
	public Integer getOrderNature() {
		return orderNature;
	}
	public void setOrderNature(Integer orderNature) {
		this.orderNature = orderNature;
	}
	public String getOrderContact() {
		return orderContact;
	}
	public void setOrderContact(String orderContact) {
		this.orderContact = orderContact;
	}
	public String getPhone() {
		return phone;
	}
	public void setPhone(String phone) {
		this.phone = phone;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}

}
