package com.yipin.liuwanr.entity.response;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * <p>
 * 用户管理列表
 * </p>
 *
 * @author Qyq
 * @since 2021-03-17
 */
@Data
@ToString
public class UserInfoListRes implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户id
     */
    @TableId(value = "userId", type = IdType.AUTO)
    private Integer userId;

    /**
     * 用户账号
     */
    private String account;

    /**
     * 用户姓名
     */
    private String userName;

    /**
     * 学校名称
     */
    private String schoolName;

    /**
     * 平台来源
     */
    private String platformName;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 创建时间
     */
    private String creationTime;

    /**
     * 登录次数
     */
    private Integer logInNumber;

}
