//package com.yipin.liuwanr.filter;
//
//import java.io.BufferedReader;
//import java.io.IOException;
//import java.io.InputStreamReader;
//
//import javax.servlet.Filter;
//import javax.servlet.FilterChain;
//import javax.servlet.FilterConfig;
//import javax.servlet.ServletException;
//import javax.servlet.ServletRequest;
//import javax.servlet.ServletResponse;
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//
//import org.jboss.logging.Logger;
//import org.springframework.beans.factory.annotation.Autowired;
//
//import com.alibaba.dubbo.common.utils.IOUtils;
//import com.yipin.liuwanr.MAPIHttpServletRequestWrapper;
//import com.yipin.liuwanr.helper.RandomUtil;
//import com.yipin.liuwanr.helper.RedisHelper;
//
//public class AuthFilter implements Filter {
//
//	private static Logger logger = Logger.getLogger(AuthFilter.class);
//
//	@Autowired
//	RedisHelper redisHelper;
//
//	@Override
//	public void doFilter(ServletRequest arg0, ServletResponse arg1, FilterChain arg2)
//			throws IOException, ServletException {
//		MAPIHttpServletRequestWrapper requestWrapper = new MAPIHttpServletRequestWrapper((HttpServletRequest) arg0);
//		HttpServletResponse response = (HttpServletResponse) arg1;
//		response.setHeader("Access-Control-Allow-Origin", "*");
//		response.setHeader("Access-Control-Allow-Methods", "OPTIONS,GET,POST,DELETE");
//		response.setHeader("Access-Control-Allow-Headers", "X-UUID,X-SIGN");
//		String path = requestWrapper.getServletPath();
//		if (!(requestWrapper.getMethod() == "OPTIONS" || path.matches(".*/user/create.*")
//				|| path.matches(".*/user/login.*") || path.matches(".*/user/reauth.*")
//				|| path.matches(".*/user/mobile.*") || path.matches(".*/user/email.*")
//				|| path.matches(".*/user/password.*") || path.matches(".*/group/handle.*")
//				|| path.matches(".*/test/.*"))) {
//			String content = "";
//			if (requestWrapper.getMethod() == "POST") {
//				BufferedReader br = new BufferedReader(new InputStreamReader(requestWrapper.getInputStream()));
//				content = IOUtils.read(br);
//			} else {
//				content = requestWrapper.getQueryString();
//			}
//			content = null==content?"":content;
//			String uuid = requestWrapper.getHeader("X-UUID");
//			String signforeign = requestWrapper.getHeader("X-SIGN");
//			if (null == uuid || null == signforeign) {
//				response.sendError(HttpServletResponse.SC_NON_AUTHORITATIVE_INFORMATION, "No Authentication Info");
//				return;
//			}
//			String token = redisHelper.getTokenById(uuid);
//			if (null == token) {
//				response.sendError(HttpServletResponse.SC_EXPECTATION_FAILED, "Authentication Cache Down");
//				return;
//			}
//			if ("none" == token) {
//				response.sendError(HttpServletResponse.SC_UNAUTHORIZED, "Authentication Info Expired");
//				return;
//			}
//			String signlocal = RandomUtil.getMD5String((content + token).getBytes());
//			logger.info("{" + content + token + "}");
//			logger.info(signforeign);
//			logger.info(signlocal);
//			if (0 != signforeign.compareToIgnoreCase(signlocal)) {
//				response.sendError(HttpServletResponse.SC_UNAUTHORIZED, "Failure of Authentication");
//				return;
//			}
//		}
//		arg2.doFilter(requestWrapper, response);
//	}
//
//	@Override
//	public void init(FilterConfig arg0) throws ServletException {
//		logger.info(null == redisHelper ? "redis is null" : "redis injected");
//	}
//
//	@Override
//	public void destroy() {
//
//	}
//}