package com.yipin.liuwanr.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import com.yipin.liuwanr.entity.PersonalCenter;
@Mapper
public interface PersonalCenterMapper {
	
	@Select("SELECT us.userId as userId,us.`name` as name,us.userAccount as userAccount,us.`password` as password,us.sex as sex,us.workNumber as workNumber,us.phone as phone,us.email as email,us.logInNumber as logInNumber, sch.schoolName as schoolName, sch.provinceName as provinceName, sch.cityName as cityName, pro.professionalName as professionalName,gra.gradeName as gradeName,cla.className as className,us.accountRole as accountRole,(SELECT GROUP_CONCAT(exp.experimentalClassName) FROM experimental_class_ning exp WHERE FIND_IN_SET(exp.experimentalClassId,stu.experimentalClassId)) AS experimentName FROM user us,school sch,class cla,grade gra,professional pro,student stu, experimental_class_ning exp WHERE us.schoolId = sch.schoolId and us.teachingProfessional = pro.professionalId and us.phone = stu.phone and stu.gradeId = gra.gradeId and cla.gradeId = gra.gradeId and us.userId = #{userId}   GROUP BY us.userId") 
	List<PersonalCenter> queryPersonalCenter(PersonalCenter personalCenter);
	
	@Select("select sta.staffName,us.sex,us.userAccount,sta.staffWorkNumber,us.`password`,sta.phone,sta.email,sta.logNumber,sta.lastTimeOfLanding,pro.provinceName,cit.cityName,sch.schoolName,pr.professionalName,st.staffGradeName,us.accountRole from staff sta,user us,province pro,city cit,professional pr,school sch,staff_grade st where sta.phone=us.phone and us.provinceId=pro.provinceId and us.cityId=cit.cityId and us.schoolId=sch.schoolId and sta.staffProfessionalArchitectureId=pr.professionalId and sta.staffGradeId=st.staffGradeId and us.userId=#{userId}  GROUP BY us.userId") 
	List<PersonalCenter> queryPersonalCenterTeacher(PersonalCenter personalCenter);

}
