package com.yipin.liuwanr.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Insert;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.apache.ibatis.annotations.Update;

import com.yipin.liuwanr.entity.Province;
@Mapper
public interface ProvinceMapper {
	
	@Insert("INSERT INTO province(provinceName,isdel)"
			+ "VALUES(#{provinceName},0)")
	void addProvince(Province province);
	
	@Select({"<script>",
        "SELECT provinceId,provinceName from province where isdel = 0 ",
        "</script> "})
	List<Province> queryProvince(Province province);
	
	@Update("UPDATE province SET isdel = 1 where provinceId = #{provinceId}")
	void deleteProvince(Integer provinceId);
	
	@Update("UPDATE province SET provinceName = #{provinceName} where provinceId = #{provinceId}")
	void updateProvince(Province province);
}