package com.yipin.liuwanr.util;

import org.jasig.cas.client.util.AbstractCasFilter;
import org.jasig.cas.client.validation.Assertion;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * cas client常用工具类
 *
 * @author weiller
 */

public class CASUtil {

    /**
     * 从cas中获取用户名
     *
     * @param request
     * @return
     */
    public static Map<String, Object> getAccountNameFromCas(HttpServletRequest request) {
        Assertion assertion = (Assertion) request.getSession()
                .getAttribute(AbstractCasFilter.CONST_CAS_ASSERTION);
        if(assertion!= null){
            return assertion.getAttributes();
        }else return null;

    }
}
