package com.yipin.liuwanr;

import com.yipin.liuwanr.service.AssesmentRecordService;
import com.yipin.liuwanr.vo.AssesmentRecordVo;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.HashMap;

@RunWith(SpringRunner.class)
@SpringBootTest
public class AssesmentRecordServiceTest {

    @Autowired
    private AssesmentRecordService assesmentRecordService;

    /**
     * 根据课程id查询学生信息
     * studentId, courseId
     */
    @Test
    public void testQueryCity() {
        HashMap<String, Object> map = assesmentRecordService.queryStudentAssessment(68, 72);
        Integer retcode = (Integer) map.get("retcode");
        System.out.println(retcode);
        if (retcode == 200) {
            AssesmentRecordVo assesmentRecordVo = (AssesmentRecordVo) map.get("retvalue");
            System.out.println(assesmentRecordVo.toString());
        } else {
            String msg = (String) map.get("retvalue");
            System.out.println(msg);
        }
    }
}
